﻿using Atomia.Web.Plugin.Accounts.Interfaces;
using Atomia.Web.Plugin.Accounts.Models;
using Atomia.Web.Plugin.HCP.Provisioning.Helpers.ActionTrail;

namespace InternalTransferCustomPlugin
{
    public class TestPlugin : IMergeAccountHooks, IMergeAccountHookExtra
    {
        public void PostAutomationServertMerge(PostAutomationServerMergeArgs args)
        {
            HostingControlPanelLogger.LogHostingControlPanelException(new System.Exception("PostAutomationServertMerge fired."));
        }

        public void PostBillingMerge(PostBillingMergeArgs args)
        {
            HostingControlPanelLogger.LogHostingControlPanelException(new System.Exception("PostBillingMerge fired."));
        }

        public void PreAutomationServerMerge(PreAutomationServerMergeArgs args)
        {
            HostingControlPanelLogger.LogHostingControlPanelException(new System.Exception("PreAutomationServerMerge fired."));
        }

        public void PreBillingMerge(PreBillingMergeArgs args)
        {
            HostingControlPanelLogger.LogHostingControlPanelException(new System.Exception("PreBillingMerge fired."));
        }

        // #################
        //  ONE-TIME EVENTS
        // #################

        public void PreMergeServices(MergeServicesArgs args)
        {
            HostingControlPanelLogger.LogHostingControlPanelException(new System.Exception("PreMergeServices fired."));
        }

        public void PostMergeServices(MergeServicesArgs args)
        {
            HostingControlPanelLogger.LogHostingControlPanelException(new System.Exception("PostMergeServices fired."));
        }
    }
}
